<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!-- font -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Lato"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="css/stylemin.css" />
    <link rel="stylesheet" href="css/color.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <title>Pizza 365 v0.5</title>
  </head>

  <body>
    <!-- Menu -->
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-12">
          <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
            <button
              class="navbar-toggler"
              type="button"
              data-toggle="collapse"
              data-target="#navbarNav"
              aria-controls="navbarNav"
              aria-expanded="false"
              aria-label="Toggle navigation"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav nav-fill w-100">
                <li class="nav-item active">
                  <a class="nav-link" href="#">HOME</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#combo">SIZE COMBOS</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#type">PIZZA TYPES</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#contact">FORM CONTACT</a>
                </li>
              </ul>
            </div>
          </nav>
        </div>
      </div>
    </div>

    <!-- Content -->
    <div class="container" style="padding: 70px 0px 50px 0px">
      <div class="row">
        <div class="col-sm-12">
          <div class="row">
            <!-- Title row home -->
            <div class="col-sm-12">
              <h1><b class="text-main">Pizza 365</b></h1>
              <p style="font-style: italic" class="text-second">
                Truly italian!
              </p>
            </div>

            <!-- Slide row home -->
            <div class="col-sm-12">
              <div
                id="carouselExampleIndicators"
                class="carousel slide"
                data-ride="carousel"
              >
                <ol class="carousel-indicators">
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="0"
                    class="active"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="1"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="2"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="3"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="4"
                  ></li>
                </ol>
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_1.jpg"
                      alt="First slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_2.jpg"
                      alt="Second slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_3.jpg"
                      alt="Third slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_4.jpg"
                      alt="Fourth slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_5.jpg"
                      alt="Fifth slide"
                    />
                  </div>
                </div>
                <a
                  class="carousel-control-prev"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="prev"
                >
                  <span
                    class="carousel-control-prev-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a
                  class="carousel-control-next"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="next"
                >
                  <span
                    class="carousel-control-next-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>

            <!-- Title ưu điểm của Quán -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
            </div>

            <!-- Content ưu điểm của Quán -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                  <h3 class="p-2">Không ngừng cải tiến</h3>
                  <p class="p-2">
                    Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn
                    là yếu tố tiên quyết trong chiến lược kinh doanh của chúng
                    tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza
                    hàng đầu.
                  </p>
                </div>
                <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                  <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                  <p class="p-2">
                    Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của
                    mọi nhà, mọi lúc, mọi nơi.
                  </p>
                </div>
                <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                  <h3 class="p-2">Hướng đến sự vượt trội</h3>
                  <p class="p-2">
                    "Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá
                    trị này là cốt lõi trong mỗi con người của chúng tôi, trong
                    mỗi công việc mà họ làm.
                  </p>
                </div>
                <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                  <h3 class="p-2">Thể hiện đam mê</h3>
                  <p class="p-2">
                    Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều
                    chỉnh tùy theo thử thách để tìm ra giải pháp.
                  </p>
                </div>
              </div>
            </div>
          </div>

          <div id="combo" class="row">
            <!-- Title Size Combos -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
              <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
            </div>
            <!-- Content các Size Combos -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card">
                    <div
                      class="card-header bg-main-brand text-white text-center"
                    >
                      <h3>S ( Small size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b> 20 cm</b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b>2</b></li>
                        <li class="list-group-item">Salad <b>200 gr</b></li>
                        <li class="list-group-item">Nước ngọt <b>2</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>150,000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn-green"
                        id="btn-size-small"
                        data-is-selected="N"
                        
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div
                      class="card-header bg-main-brand text-white text-center"
                    >
                      <h3>M (Medium size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b> 25 cm</b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b>4</b></li>
                        <li class="list-group-item">Salad <b> 300 gr</b></li>
                        <li class="list-group-item">Nước ngọt <b>3</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>200,000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn-green"
                        id="btn-size-medium"
                        data-is-selected="N"
                        
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div
                      class="card-header bg-main-brand text-white text-center"
                    >
                      <h3>L ( Large size )</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b> 30 cm</b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b>8</b></li>
                        <li class="list-group-item">Salad <b> 500 gr</b></li>
                        <li class="list-group-item">Nước ngọt <b>4</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>250,000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn-green"
                        id="btn-size-large"
                        data-is-selected="N"
                       
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div id="type" class="row">
            <!-- Title Pizza Type -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
            </div>

            <!-- Content Pizza Type -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="images/pizza_type_hawai.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza Hawai</h3>
                      <p>Món ăn thanh đạm</p>
                      <p>
                        Hãy thưởng thức món ăn với phong cách Alo Ha đến từ
                        Hawai.
                      </p>
                      <p>
                        <button
                          class="btn-green"
                          id="btn-type-hawai"
                          data-is-selected="N"
                          
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="images/pizza_type_hai_san.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza Hải sản</h3>
                      <p>Món ăn đến từ biển</p>
                      <p>
                        Bạn đã thử pizza được chế biến từ nguyên liệu hải sản
                        chưa ?
                      </p>
                      <p>
                        <button
                          class="btn-green"
                          id="btn-type-hai-san"
                          data-is-selected="N"
                        
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="images/pizza_type_thit_nuong.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza Bacon</h3>
                      <p>Món ăn đăc biệt</p>
                      <p>
                        Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                      </p>
                      <p>
                        <button
                          class="btn-green"
                          id="btn-type-bacon"
                          data-is-selected="N"
                         
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div id="contact" class="row">
            <!-- Title Form Contact Us -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
            </div>

            <!-- Content Form Contact Us -->
            <div class="col-sm-12 p-2 jumbotron">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <label for="input-name">Họ và tên</label>
                    <input
                      type="text"
                      class="form-control"
                      id="input-name"
                      placeholder="Họ và tên"
                    />
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input
                      type="text"
                      class="form-control"
                      id="input-email"
                      placeholder="Email"
                    />
                  </div>
                  <div class="form-group">
                    <label for="input-phone">Điện thoại</label>
                    <input
                      type="text"
                      class="form-control"
                      id="input-phone"
                      placeholder="Điện thoại"
                    />
                  </div>
                  <div class="form-group">
                    <label for="input-address">Địa chỉ</label>
                    <input
                      type="text"
                      class="form-control"
                      id="input-address"
                      placeholder="Địa chỉ"
                    />
                  </div>
                  <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input
                      type="text"
                      class="form-control"
                      id="input-message"
                      placeholder="Lời nhắn"
                    />
                  </div>
                  <div class="form-group">
                    <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                    <input
                      type="text"
                      class="form-control"
                      id="input-voucher"
                      placeholder="Mã voucher..."
                    />
                  </div>
                  <button
                    type="button"
                    class="btn-green"
                   id="btn-kiem-tra-don"
                  >
                    Kiểm tra đơn
                  </button>
                </div>
              </div>
            </div>
            <!-- vùng hiển thị thông tin đơn hàng(order) -->
            <div
              id="div-container-order"
              class="container bg-info p-2 jumbotron"
              style="display: none"
            >
              <div id="div-order-infor" class="text-white p-3">
                thông tin đơn hàng vào đây
              </div>
              <div class="p-2">
                <button
                  type="button"
                  class="btn-yellow"
                 id="btn-gui-don"
                >
                  Gửi đơn
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid bg-light p-3">
      <div class="row text-center">
        <div class="col-sm-12">
          <h4 class="m-2">Footer</h4>
          <a href="#" class="btn bg-main-brand text-white m-3"
            ><i class="fa fa-arrow-up mr-2"></i>To the top</a
          >
          <div class="m-2">
            <i class="fa fa-facebook-official text-main"></i>
            <i class="fa fa-instagram text-main"></i>
            <i class="fa fa-snapchat text-main"></i>
            <i class="fa fa-pinterest-p text-main"></i>
            <i class="fa fa-twitter text-main"></i>
            <i class="fa fa-linkedin text-main"></i>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
    $(document).ready(function () {
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      // Mảng danh sách các mã giảm giá
      var gDiscountVouchers = [
        { voucherID: "10345", percentDiscount: 20 }, // mã giảm giá là 10345, phần trăm giảm giá 20%
        { voucherID: "11346", percentDiscount: 10 },
        { voucherID: "20445", percentDiscount: 5 },
        { voucherID: "21457", percentDiscount: 30 },
        { voucherID: "32154", percentDiscount: 20 },
        { voucherID: "30546", percentDiscount: 25 },
        { voucherID: "41351", percentDiscount: 15 },
        { voucherID: "53360", percentDiscount: 5 },
        { voucherID: "65343", percentDiscount: 30 },
        { voucherID: "78328", percentDiscount: 40 },
      ];

      // các combo Pizza
      const gCOMBO_SMALL = "Small";
      const gCOMBO_MEDIUM = "Medium";
      const gCOMBO_LARGE = "Large";

      // các loại pizza
      const gPIZZA_TYPE_HAWAI = "Hawai";
      const gPIZZA_TYPE_HAI_SAN = "HaiSan";
      const gPIZZA_TYPE_BACON = "Bacon";

      /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      // hàm được gọi khi bấm nút chọn kích cỡ S

      $("#btn-size-small").click(function () {
        // gọi hàm đổi màu nút
        // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
        // data-is-selected-menu của nút Basic là Y, các nút khác là N
        changeComboButtonColor(gCOMBO_SMALL);
        //tạo một đối tượng menu, được tham số hóa
        var vSelectedMenuStructure = getComboSelected(
          "S",
          20,
          2,
          200,
          2,
          150000
        );
        // gọi method hiển thị thông tin
        vSelectedMenuStructure.displayInConsoleLog();
      });
      // hàm được gọi khi bấm nút chọn kích cỡ M
      $("#btn-size-medium").click(function () {
        // gọi hàm đổi màu nút
        // chỉnh combo, combo được chọn là Medium, đổi nút, và đánh dấu
        // data-is-selected-menu của nút Basic là Y, các nút khác là N
        changeComboButtonColor(gCOMBO_MEDIUM);
        //tạo một đối tượng menu, được tham số hóa
        var vSelectedMenuStructure = getComboSelected(
          "M",
          25,
          4,
          300,
          3,
          200000
        );
        // gọi method hiển thị thông tin
        vSelectedMenuStructure.displayInConsoleLog();
      });
      // hàm được gọi khi bấm nút chọn kích cỡ L
      $("#btn-size-large").click(function () {
        // gọi hàm đổi màu nút
        // chỉnh combo, combo được chọn là Large, đổi nút, và đánh dấu
        // data-is-selected-menu của nút Basic là Y, các nút khác là N
        changeComboButtonColor(gCOMBO_LARGE);
        //tạo một đối tượng menu, được tham số hóa
        var vSelectedMenuStructure = getComboSelected(
          "L",
          30,
          8,
          500,
          4,
          250000
        );
        // gọi method hiển thị thông tin
        vSelectedMenuStructure.displayInConsoleLog();
      });

      // hàm được gọi khi bấm nút chọn loại pizza hawai
      $("#btn-type-hawai").click(function () {
        // gọi hàm đổi màu nút
        // chỉnh loại pizza, loại pizza được chọn là hawai , đổi nút, và đánh dấu
        // data-is-selected của nút hawai là Y, các nút khác là N
        changeTypeButtonColor(gPIZZA_TYPE_HAWAI);
        // ghi loại pizza đã chọn ra console
        console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAWAI);
      });
      // hàm được gọi khi bấm nút chọn loại pizza Hải sản
      $("#btn-type-hai-san").click(function () {
        // gọi hàm đổi màu nút
        // chỉnh loại pizza, loại pizza được chọn là Hải sản, đổi nút, và đánh dấu
        // data-is-selected-pizza của nút Hải sản là Y, các nút khác là N
        changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
        // ghi loại pizza đã chọn ra console
        console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAI_SAN);
      });
      // hàm được gọi khi bấm nút chọn loại pizza Hun khói

      $("#btn-type-bacon").click(function () {
        // gọi hàm đổi màu nút
        // chỉnh loại pizza, loại pizza được chọn là Bacon, đổi nút, và đánh dấu
        // data-is-selected-pizza của nút Bacon là Y, các nút khác là N
        changeTypeButtonColor(gPIZZA_TYPE_BACON);
        // ghi loại pizza đã chọn ra console
        console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_BACON);
      });

      // Hàm được gọi khi click nút kiểm tra đơn
      $("#btn-kiem-tra-don").click(function () {
        console.log("%c Kiểm tra đơn", "color: orange;");
        var vOrder = getOrder();
        var vKetQuaKiemTra = checkValidatedForm(vOrder);
        if (vKetQuaKiemTra) {
          showOrderInfo(vOrder);
        }
      });

      //Hàm được gọi khi ấn nút Gửi đơn
      $("#btn-gui-don").click(function () {
        var vOrder = getOrder();
        var vKetQuaKiemTra = checkValidatedForm(vOrder);
        if (vKetQuaKiemTra) {
          inThongTinRaConsole(vOrder);
        }
      });
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      //function get combo (lấy menu được chọn)
      //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
      function getComboSelected(
        paramMenuName,
        paramDuongKinhCM,
        paramSuongNuong,
        paramSaladGr,
        paramDrink,
        paramPriceVND
      ) {
        var vSelectedMenu = {
          menuName: paramMenuName, // S, M, L
          duongKinhCM: paramDuongKinhCM,
          suongNuong: paramSuongNuong,
          saladGr: paramSaladGr,
          drink: paramDrink,
          priceVND: paramPriceVND,
          displayInConsoleLog() {
            console.log("%cPLAN MENU COMBO - .........", "color:blue");
            console.log(this.menuName); //this = "đối tượng này"
            console.log("duongKinhCM: " + this.duongKinhCM);
            console.log("suongNuong: " + this.suongNuong);
            console.log("saladGr: " + this.saladGr);
            console.log("drink:" + this.drink);
            console.log("priceVND: " + this.priceVND);
          },
        };
        return vSelectedMenu;
      }

      // hàm thu thập(đọc) thông tin khách hàng
      function getOrder() {
        var vBtnBasic = $("#btn-size-small");
        var vMenuBasicDaChon = vBtnBasic.attr("data-is-selected");
        var vBtnMedium = $("#btn-size-medium");
        var vMenuMediumDaChon = vBtnMedium.attr("data-is-selected");
        var vBtnLarge = $("#btn-size-large");
        var vMenuLargeDaChon = vBtnLarge.attr("data-is-selected");
        var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);

        if (vMenuBasicDaChon === "Y") {
          vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
        } else if (vMenuMediumDaChon === "Y") {
          vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
        } else if (vMenuLargeDaChon === "Y") {
          vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
        }

        var vBtnHawai = $("#btn-type-hawai");
        var vPizzaHawaiDaChon = vBtnHawai.attr("data-is-selected");
        var vBtnHaiSan = $("#btn-type-hai-san");
        var vPizzaHaiSanDaChon = vBtnHaiSan.attr("data-is-selected");
        var vBtnBacon = $("#btn-type-bacon");
        var vPizzaBaconDaChon = vBtnBacon.attr("data-is-selected");
        var vLoaiPizza = "";

        if (vPizzaHawaiDaChon === "Y") {
          vLoaiPizza = gPIZZA_TYPE_HAWAI;
        } else if (vPizzaHaiSanDaChon === "Y") {
          vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
        } else if (vPizzaBaconDaChon === "Y") {
          vLoaiPizza = gPIZZA_TYPE_BACON;
        }

        var vValueInputName = $("#input-name").val();
        var vValueInputEmail = $("#input-email").val();
        var vValueInputPhone = $("#input-phone").val();
        var vValueInputAddress = $("#input-address").val();
        var vValueInputMessage = $("#input-message").val();
        var vValueInputVoucherID = $("#input-voucher").val();
        var vPercent = 0;
        var vVoucherObj = getVoucherById(vValueInputVoucherID);

        if (vValueInputVoucherID !== "" && vVoucherObj !== null) {
          vPercent = vVoucherObj.percentDiscount;
        }

        var vOrderInfo = {
          menuCombo: vSelectedMenuStructure,
          loaiPizza: vLoaiPizza,
          hoVaTen: vValueInputName,
          email: vValueInputEmail,
          dienThoai: vValueInputPhone,
          diaChi: vValueInputAddress,
          loiNhan: vValueInputMessage,
          voucher: vValueInputVoucherID,
          phanTramGiamGia: vPercent,
          priceAnnualVND: function () {
            var vTotal =
              this.menuCombo.priceVND * (1 - this.phanTramGiamGia / 100);
            return vTotal;
          },
        };

        return vOrderInfo;
      }

      // Hàm kiểm tra thông tin đơn hàng
      // input: Đối tượng đơn hàng
      // output: Đúng / Sai (true/ false)
      function checkValidatedForm(paramOrder) {
        if (paramOrder.menuCombo.menuName === "") {
          alert("Chọn combo pizza...");
          return false;
        }
        if (paramOrder.loaiPizza === "") {
          alert("Chọn loại pizza...");
          return false;
        }
        if (paramOrder.hoVaTen === "") {
          alert("Nhập họ và tên");
          return false;
        }
        if (validateEmail(paramOrder.email) == false) {
          alert("Email không đúng định dạng");
          return false;
        }
        if (paramOrder.dienThoai === "") {
          alert("Chưa nhập số điện thoại");
          return false;
        }
        if (validatePhoneNumber(paramOrder.dienThoai) == false) {
          alert("Nhập số điện thoại chính xác");
          return false;
        }
        if (paramOrder.diaChi === "") {
          alert("Địa chỉ không để trống...");
          return false;
        }
        return true;
      }

      // hàm đổi mầu nút khi chọn combo
      function changeComboButtonColor(paramPlan) {
        var vBtnBasic = $("#btn-size-small");
        var vBtnMedium = $("#btn-size-medium");
        var vBtnLarge = $("#btn-size-large");

        if (paramPlan === gCOMBO_SMALL) {
          vBtnBasic.removeClass().addClass("btn-yellow");
          vBtnBasic.attr("data-is-selected", "Y");
          vBtnMedium.removeClass().addClass("btn-green");
          vBtnMedium.attr("data-is-selected", "N");
          vBtnLarge.removeClass().addClass("btn-green");
          vBtnLarge.attr("data-is-selected", "N");
        } else if (paramPlan === gCOMBO_MEDIUM) {
          vBtnBasic.removeClass().addClass("btn-green");
          vBtnBasic.attr("data-is-selected", "N");
          vBtnMedium.removeClass().addClass("btn-yellow");
          vBtnMedium.attr("data-is-selected", "Y");
          vBtnLarge.removeClass().addClass("btn-green");
          vBtnLarge.attr("data-is-selected", "N");
        } else if (paramPlan === gCOMBO_LARGE) {
          vBtnBasic.removeClass().addClass("btn-green");
          vBtnBasic.attr("data-is-selected", "N");
          vBtnMedium.removeClass().addClass("btn-green");
          vBtnMedium.attr("data-is-selected", "N");
          vBtnLarge.removeClass().addClass("btn-yellow");
          vBtnLarge.attr("data-is-selected", "Y");
        }
      }

      // hàm đổi mầu nút khi chọn loại pizza
      function changeTypeButtonColor(paramType) {
        var vBtnHawai = $("#btn-type-hawai");
        var vBtnHaiSan = $("#btn-type-hai-san");
        var vBtnBacon = $("#btn-type-bacon");

        if (paramType === gPIZZA_TYPE_HAWAI) {
          vBtnHawai.removeClass().addClass("btn-yellow");
          vBtnHawai.attr("data-is-selected", "Y");
          vBtnHaiSan.removeClass().addClass("btn-green");
          vBtnHaiSan.attr("data-is-selected", "N");
          vBtnBacon.removeClass().addClass("btn-green");
          vBtnBacon.attr("data-is-selected", "N");
        } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
          vBtnHawai.removeClass().addClass("btn-green");
          vBtnHawai.attr("data-is-selected", "N");
          vBtnHaiSan.removeClass().addClass("btn-yellow");
          vBtnHaiSan.attr("data-is-selected", "Y");
          vBtnBacon.removeClass().addClass("btn-green");
          vBtnBacon.attr("data-is-selected", "N");
        } else if (paramType === gPIZZA_TYPE_BACON) {
          vBtnHawai.removeClass().addClass("btn-green");
          vBtnHawai.attr("data-is-selected", "N");
          vBtnHaiSan.removeClass().addClass("btn-green");
          vBtnHaiSan.attr("data-is-selected", "N");
          vBtnBacon.removeClass().addClass("btn-yellow");
          vBtnBacon.attr("data-is-selected", "Y");
        }
      }

      // Hàm tìm kiếm voucher trong Array

      function getVoucherById(paramVoucherID) {
        var vVoucherObj = null;

        for (var i = 0; i < gDiscountVouchers.length; i++) {
          if (gDiscountVouchers[i].voucherID === paramVoucherID) {
            vVoucherObj = gDiscountVouchers[i];
            break;
          }
        }

        return vVoucherObj;
      }

      function validateEmail(paramEmail) {
        var vRegexEmail =
          /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

        return vRegexEmail.test(paramEmail);
      }

      function validatePhoneNumber(paramPhoneNumber) {
        var vCheckNum = paramPhoneNumber.slice(1);
        if (isNaN(parseInt(vCheckNum))) {
          return false;
        }
        if (paramPhoneNumber.length < 10 || paramPhoneNumber.length > 12) {
          return false;
        }
        if (
          !(
            paramPhoneNumber.startsWith("0") || paramPhoneNumber.startsWith("+")
          )
        ) {
          return false;
        }
        return true;
      }

      function showOrderInfo(paramOrder) {
        var vDivContainer = $("#div-container-order");
        var vDivOrderInfo = $("#div-order-infor");

        vDivContainer.css("display", "block");
        vDivOrderInfo.html(
          "Họ và tên: " +
            paramOrder.hoVaTen +
            "<br>" +
            "Email: " +
            paramOrder.email +
            "<br>" +
            "Địa chỉ: " +
            paramOrder.diaChi +
            "<br>" +
            "Lời nhắn: " +
            paramOrder.loiNhan +
            "<br>" +
            "....................................." +
            "<br>" +
            "Kích cỡ: " +
            paramOrder.menuCombo.menuName +
            "<br>" +
            "Đường kính: " +
            paramOrder.menuCombo.duongKinhCM +
            "<br>" +
            "Sườn nướng: " +
            paramOrder.menuCombo.suongNuong +
            "<br>" +
            "Salad : " +
            paramOrder.menuCombo.saladGr +
            "<br>" +
            "Nước Ngọt : " +
            paramOrder.menuCombo.drink +
            "<br>" +
            "....................................." +
            "<br>" +
            "Loại pizza : " +
            paramOrder.loaiPizza +
            "<br>" +
            "Mã voucher : " +
            paramOrder.voucher +
            "<br>" +
            "Giá vnd : " +
            paramOrder.menuCombo.priceVND +
            "<br>" +
            "Discount %: " +
            paramOrder.phanTramGiamGia +
            "<br>" +
            "Phải thanh toán vnd: " +
            paramOrder.priceAnnualVND()
        );
      }

      // Hàm ghi thông tin đặt hàng ra console
      function inThongTinRaConsole(paramOrder) {
        console.log("%c Thông tin đặt hàng", "color: green;");
        console.log("Họ và tên: " + paramOrder.hoVaTen);
        console.log("Email: " + paramOrder.email);
        console.log("Địa chỉ: " + paramOrder.diaChi);
        console.log("Lời nhắn: " + paramOrder.loiNhan);
        console.log(".....................................");
        console.log("Kích cỡ: " + paramOrder.menuCombo.menuName);
        console.log("Đường kính: " + paramOrder.menuCombo.duongKinhCM);
        console.log("Sườn nướng: " + paramOrder.menuCombo.suongNuong);
        console.log("Salad : " + paramOrder.menuCombo.saladGr);
        console.log("Nước Ngọt : " + paramOrder.menuCombo.drink);
        console.log(".....................................");
        console.log("Loại pizza : " + paramOrder.loaiPizza);
        console.log("Mã voucher : " + paramOrder.voucher);
        console.log("Giá vnd : " + paramOrder.menuCombo.priceVND);
        console.log("Discount %: " + paramOrder.phanTramGiamGia);
        console.log("Phải thanh toán vnd: " + paramOrder.priceAnnualVND());
      }
    });
  </script>
</html>
